Community
Fusion Support
Report issues, bugs, and or unexpected behaviors you’re seeing. Share Fusion (formerly Fusion 360) issues here and get support from the community as well as the Fusion team.
cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 

No Way To Flip Direction of Hole Tool In "From Sketch" Mode

6 REPLIES 6
SOLVED
Reply
Message 1 of 7
therealsamchaney
2158 Views, 6 Replies

No Way To Flip Direction of Hole Tool In "From Sketch" Mode

I'm trying to add some holes to a body using the Hole tool in the "From Sketch" mode, but the default direction of the holes is down (toward the bottom origin plane) and the body I want to make the holes in is up above the sketch plane. Fusion 360 will not let me flip the direction of the holes to fix this. I can't drag the arrow past the 0 point like I normally could for an extrude. I can't change the depth to a negative value. There is no option to "flip" the hole direction. Fusion just assumes holes always go down, and there seems to be no fix.

Please add a "flip direction" option to the hole tool when in "from sketch" mode!

Labels (1)
6 REPLIES 6
Message 2 of 7

Hi,

Please share the file.

 

File > export > save as f3d on local drive  > attach it to the next post

 

günther

Message 3 of 7

Arh, any closer and it would .....

 

acaiwb.PNG

 

Will work if there is a body to cut into.

 

Might help....

Message 4 of 7

Ugh I don't know how I didn't see that there! I feel like it used to have the words "flip direction" instead of just using a little icon. Anyway, that's it, thanks! It is strange that you can't achieve the same functionality by pulling the arrow past the 0 point like you can with extrude. 

Message 5 of 7
ysz77jp
in reply to: therealsamchaney

By the way, I have same problem about this matter. Because I am facing this situation on my Python script. Does anybody know how to flip direction of hole by using Fusion360 API.

        holeInput.setPositionByPoint(plane1,adsk.core.Point3D.create(xyz))
        distance = adsk.core.ValueInput.createByReal(5)
        holeInput.setDistanceExtent(distance)
         hole = holes.add(holeInput)

Python pop up helper says that " The natural direction of the hole  opposite ....."   and this script generate opposite direction of hole. I want to flip direction of hole by API. Anybody advise me !

Message 6 of 7
kandennti
in reply to: ysz77jp

Hi @ysz77jp .

 

It seems that you can change it with the HoleFeatureInput.isDefaultDirection property.

https://help.autodesk.com/view/fusion360/ENU/?guid=GUID-312ea494-476b-4655-be91-c23432144711 

 

I came up with a process like this.

 

def initHole(
    plane1: adsk.fusion.BRepFace,
    x: float,
    y: float,
    z: float,
    diameter: float,
    depth: float) -> adsk.fusion.HoleFeature:

    comp: adsk.fusion.Component = plane1.body.parentComponent
    holeFeatures: adsk.fusion.HoleFeatures = comp.features.holeFeatures
    holeInput: adsk.fusion.HoleFeatureInput = holeFeatures.createSimpleInput(
        adsk.core.ValueInput.createByString(f'{diameter} mm')
    )
    holeInput.setPositionByPoint(
        plane1,
        adsk.core.Point3D.create(x, y, z)
    )
    distance = adsk.core.ValueInput.createByReal(depth)
    holeInput.setDistanceExtent(distance)

    holeFeat: adsk.fusion.HoleFeature = None
    try:
        holeFeat = holeFeatures.add(holeInput)
    except:
        holeInput.isDefaultDirection = not holeInput.isDefaultDirection # here
        holeFeat = holeFeatures.add(holeInput)

    return holeFeat

 

Initially, the default direction will be used, and when an exception occurs, the opposite direction will be used.

Message 7 of 7
greggroos
in reply to: davebYYPCU

Thank you, that screen shot remains very helpful, the current icon is slightly different, still gets the point across. 

It is odd that the blue direction arrow will not allow a mouse move to reverse, as it does in many other commands

Can't find what you're looking for? Ask the community or share your knowledge.

Post to forums  

Autodesk Design & Make Report